Enable the history snapshot task

Server: https://{kibana_url}
  • PUT /api/security/entity_store/history_snapshot/enable
  • PUT /s/{space_id}/api/security/entity_store/history_snapshot/enable

Refer to Spaces for more information.

Enable the Entity Store history snapshot task for this space. After a successful enable, Kibana schedules an immediate snapshot run. If that immediate run fails, the response is still 200 and the task remains enabled for the next scheduled interval. If the task is already enabled, the request succeeds and does not start an extra run. Returns 404 if the Entity Store is not installed in the current space.

[Required authorization] Route required privileges: securitySolution.

Responses

200

Indicates a successful response.

application/json
404

Entity store is not installed.

application/json